Skip to main content

fee

POST

Returns the transaction cost requirements of the open ledger.It lets you check the reference cost, the median and the queueing cost in both drops and fee levels.
Responses
current_ledger_sizestring
The number of transactions provisionally included in the in-progress ledger.
current_queue_sizestring
The number of transactions queued for the next ledger version.
The transaction cost expressed in drops.
base_feestring
The cost required for a reference transaction to be included in a ledger under minimum load.
median_feestring
An approximation of the median transaction cost from the previous validated ledger version.
minimum_feestring
The minimum cost for a reference transaction to be queued for a later ledger version.
open_ledger_feestring
The minimum cost for a reference transaction to be included in the current open ledger.
expected_ledger_sizestring
The transaction count anticipated based on the previous ledger version.
ledger_current_indexinteger
The ledger index of the current open ledger.
The transaction cost expressed in fee levels.
median_levelstring
The median cost of the previous ledger version expressed in fee levels.
minimum_levelstring
The minimum cost to be queued expressed in fee levels.
open_ledger_levelstring
The minimum cost for inclusion in the current ledger expressed in fee levels.
reference_levelstring
The fee level equivalent to the minimum cost of a reference transaction.
max_queue_sizestring
The maximum capacity of the transaction queue.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://xrpl-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"method": "fee",
"params": []
}'